import request from '@/utils/request'

/**
 * 获取HHFace设备列表（分页）
 * @param data
 * @returns {*}
 */
export function getList(data) {
  return request({
    url: '/api/v1/auth/hhface/device/page',
    method: 'post',
    headers: { 'content-type': 'application/json' },
    data
  })
}

/**
 * 修改HHFace设备配置信息
 * @param data
 * @returns {*}
 */
export function updateAuthAccount(data) {
  return request({
    url: '/api/v1/auth/hhface/device/update',
    method: 'post',
    headers: { 'content-type': 'application/json' },
    data
  })
}

/**
 * 获取服务商列表
 * @returns {*}
 */
export function getAuthHHFaceTenantList() {
  return request({
    url: `/api/v1/auth/hhface/tenant/list`,
    method: 'post'
  })
}

/**
 * 获取用户库列表
 * @returns {*}
 */
export function getAuthHHFaceUserLibList() {
  return request({
    url: `/api/v1/auth/hhface/userlib/list`,
    method: 'post'
  })
}

